package errorhandler;

import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;

/**
 * To report errors, it is necessary to provide an ErrorHandler to the underlying implementation. 
 * 
 * @author huseyin
 *
 */
public class MyErrorHandler implements ErrorHandler {
    public void warning(SAXParseException e) throws SAXException {
       System.out.print("Warning at line " + e.getLineNumber() + ": ");
       System.out.println(e.getMessage());
    }

    public void error(SAXParseException e) throws SAXException {
        System.out.print("Error at line " + e.getLineNumber() + ": ");
        System.out.println(e.getMessage());
    }

    public void fatalError(SAXParseException e) throws SAXException {
       System.out.print("Fatal error at line " + e.getLineNumber() + ": ");
       System.out.println(e.getMessage());
    }
}